import { AfterViewInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { StorageService } from '@dotgov/core';
import { BuilderService } from '../../../dnd/services/builder.service';
export declare class ControlPropertiesSidebarComponent extends StorageService implements AfterViewInit {
    private builder;
    private _controlProperties;
    private _activeModel;
    private _formBuilderHelper;
    private _setValue;
    controlProperties: any;
    private _activeControl;
    activeControl: any;
    private _model;
    model: any;
    propertiesForm: FormGroup;
    constructor(builder: BuilderService);
    private _backupFormValues;
    readonly readonlyProperties: string[];
    readonly activeModel: any;
    ngAfterViewInit(): void;
    isReadonly(property: any): boolean;
    save(): void;
    reset(): void;
    private setupProperties(control);
    private updateForm();
}
